
Redmine - Defect #18119

Thumbnail image path without HTTPS

2014-10-17 01:44 - Filou Centrinov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 2.6.0   

Resolution: Fixed Affected version: 2.5.2

Description

Thumbnails created with "{{thumbnail(image.png)}}" are always generated  with absolute HTTP-path, even if the Redmine runs with

HTTPS.

Solution: If thumbnail path had been relative, we wouldn't have this problem. (Like thumbnails from attachments.)

Environment:

  Redmine version                2.5.2.stable

  Ruby version                   2.1.3-p242 (2014-09-19) [x86_64-linux]

  Rails version                  3.2.19

  Environment                    production

  Database adapter               Mysql2

Related issues:

Related to Redmine - Feature #18120: Thumbnail link with better image name New

Associated revisions

Revision 13451 - 2014-10-18 12:14 - Jean-Philippe Lang

Use relative URL for thumbnails according to :only_path option (#18119).

Revision 13463 - 2014-10-20 23:11 - Jean-Philippe Lang

Merged r13451 (#18119).

History

#1 - 2014-10-17 01:58 - Filou Centrinov

- Related to Feature #18120: Thumbnail link with better image name added

#2 - 2014-10-18 12:15 - Jean-Philippe Lang

- Category changed from Security to Text formatting

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.6.0

- Resolution set to Fixed

Fixed in r13451.
